# https://pypi.python.org/packages/a5/98/7f5ef2fe9e9e071813aaf9cb91d1a732e0a68b6c44a32b38cb8e14c3f069/traitlets-4.3.2.tar.gz
# https://pypi.python.org/packages/source/i/ipython_genutils/ipython_genutils-0.1.0.tar.gz
%global module traitlets

Name:           python-%{module}
Version:        4.3.2
Release:        %mkrel 1
Summary:        A configuration system for Python applications

License:        BSD
Group:          Development/Python
URL:            http://traitlets.readthedocs.io/en/stable/
Source0:        %{module}-%{version}.tar.xz
Source1:        ipython_genutils-0.1.0.tar.xz

BuildArch:      noarch
BuildRequires:  bsdtar
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-decorator
Requires:       python-enum34

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
Requires:       python3-decorator

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
bsdtar xf %{S:1} -C ../
cd %_builddir
cp -a traitlets-4.3.2 traitlets-4.3.2-py3
cp -a ipython_genutils-0.1.0 ipython_genutils-0.1.0-py3

%build
cd %_builddir
pushd ipython_genutils-0.1.0-py3
%py3_build
popd

pushd ipython_genutils-0.1.0
%py2_build
popd

pushd traitlets-4.3.2-py3
%py3_build
popd

pushd traitlets-4.3.2
%py2_build
popd

%install
cd %_builddir
pushd ipython_genutils-0.1.0-py3
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

pushd ipython_genutils-0.1.0
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}
popd

pushd traitlets-4.3.2-py3
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

pushd traitlets-4.3.2
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}
popd

%files
%doc COPYING.md PKG-INFO README.md
%{python_sitelib}/*

%files -n python3-%{module}
%doc COPYING.md PKG-INFO README.md
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 4.3.2-1uplos2018
- imported for uplos
